//
// This help file was automatically generated from condnb_condnum.sci using help_from_sci().
// PLEASE DO NOT EDIT
//
mode(1)
//
// Demo of condnb_condnum.sci
//

// Show that sin can be ill-conditionned
[ c , y ] = condnb_condnum ( sin , 1.e-100 )         // c~1
// Compare with exact formula :
condnb_sincond(1.e-100)
[ c , y ] = condnb_condnum ( sin , 0 )               // c = nan
[ c , y ] = condnb_condnum ( sin , 3.14159 )         // c ~10^6
[ c , y ] = condnb_condnum ( sin , 3.141592653 )     // c ~10^9
[ c , y ] = condnb_condnum ( sin , 3.1415926535898 ) // c ~10^14
[ c , y ] = condnb_condnum ( sin , %pi )             // c ~10^16
[ c , y ] = condnb_condnum ( sin , 1.000000357564167061e5 ) // c ~10^16
halt()   // Press return to continue
 
// An ill-conditionned case for the sum.
xl = 10^(1:15);
x = [-xl xl+0.1];
yExpected = 1.5
[ c , y ] = condnb_condnum ( sum , x )
// Compare with exact formula :
cExpected = condnb_sumcond(x) // c~10^15
halt()   // Press return to continue
 
// Check various finite difference orders for the sqrt function.
// The condition number is 0.5.
cc = condnb_condnum ( sqrt , 1 , 1 )
// Compare with exact formula :
cc = condnb_sqrtcond ( 1 )
cc = condnb_condnum ( sqrt , 1 , 2 )
cc = condnb_condnum ( sqrt , 1 , 4 )
cc = condnb_condnum ( sqrt , 1 , 6 )
// Make a loop
x = 1.;
order = [1 2 4 6];
for k = 1:4
cc = condnb_condnum ( sqrt , x , order(k) );
ce = sqrtcond ( x );
disp([order(k) cc ce])
end
halt()   // Press return to continue
 
// Use default order, but configure h
[cc,yc] = condnb_condnum ( sqrt , 1 , [] , 1.e-8 )
// Use default order and h
[cc,yc] = condnb_condnum ( sqrt , 1 , [] , [] )
// Set order, use default h
[cc,yc] = condnb_condnum ( sqrt , 1 , 4 , [] );
halt()   // Press return to continue
 
//========= E N D === O F === D E M O =========//
//
// Load this script into the editor
//
filename = "condnb_condnum.sce";
dname = get_absolute_file_path(filename);
editor ( fullfile(dname,filename) );
