//
// This help file was automatically generated from condnb_plotcond.sci using help_from_sci().
// PLEASE DO NOT EDIT
//
mode(1)
//
// Demo of condnb_plotcond.sci
//

// The values of atan and its condition are regular:
// use a regular scale.
scf();
condnb_plotcond ( condnb_atancond , linspace(-1,1,1000) );
halt()   // Press return to continue
 
// The condition values of acos are positive and of very different magnitudes :
// automatically switches to log scale.
scf();
condnb_plotcond ( condnb_acoscond , linspace(-1,1,1000) );
scf();
condnb_plotcond ( condnb_sincond , linspace(-4,4,1000) );
halt()   // Press return to continue
 
// The exp values are positive and of very different magnitudes :
// automatically switches to log scale.
scf();
condnb_plotcond ( condnb_expcond , linspace(-7e2,7.e2,1000) );
halt()   // Press return to continue
 
// The values of the condition number are very close to zero,
// but we keep the regular scale, as low condition numbers
// are of no interest for us.
scf();
condnb_plotcond ( condnb_erfcond , linspace(-6,6,1000) );
halt()   // Press return to continue
 
// A case where we plot a customized condition number function.
function x=myinvnorstd(p)
mu = zeros(p)
std = ones(p)
q = 1-p
x = cdfnor("X",mu,std,p,q)
endfunction
function [c,x]=myinvnorstdcond(p)
for k = 1 : size(p,"*")
[ck,xk] = condnb_condnum(myinvnorstd,p(k))
c(k) = ck
x(k) = xk
end
endfunction
h=scf();
condnb_plotcond ( myinvnorstdcond , linspace(1e-5,1-1e-5,1000) );
halt()   // Press return to continue
 
// A case where we plot a customized condition number function,
// which needs additionnal arguments.
function x=myinvnor(p,mu,std)
q = 1-p
x = cdfnor("X",ones(p)*mu,ones(p)*std,p,q)
endfunction
function [c,x]=myinvnorcond(p,mu,std)
for k = 1 : size(p,"*")
[ck,xk] = condnb_condnum(list(myinvnor,mu,std),p(k))
c(k) = ck
x(k) = xk
end
endfunction
h=scf();
condnb_plotcond ( list(myinvnorcond,1,2) , linspace(1e-5,1-1e-5,1000) );
halt()   // Press return to continue
 
//========= E N D === O F === D E M O =========//
//
// Load this script into the editor
//
filename = "condnb_plotcond.sce";
dname = get_absolute_file_path(filename);
editor ( fullfile(dname,filename) );
